gdjs.Plus_32difficileCode = {};


gdjs.Plus_32difficileCode.GDWaitObjects1= [];
gdjs.Plus_32difficileCode.GDStyleObjects1= [];

gdjs.Plus_32difficileCode.conditionTrue_0 = {val:false};
gdjs.Plus_32difficileCode.condition0IsTrue_0 = {val:false};
gdjs.Plus_32difficileCode.condition1IsTrue_0 = {val:false};

gdjs.Plus_32difficileCode.func = function(runtimeScene, context) {
context.startNewFrame();
gdjs.Plus_32difficileCode.GDWaitObjects1.length = 0;
gdjs.Plus_32difficileCode.GDStyleObjects1.length = 0;


{

gdjs.Plus_32difficileCode.GDWaitObjects1.createFrom(runtimeScene.getObjects("Wait"));

gdjs.Plus_32difficileCode.condition0IsTrue_0.val = false;
{
gdjs.Plus_32difficileCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) == 1;
}if (gdjs.Plus_32difficileCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.Plus_32difficileCode.GDWaitObjects1.length ;i < len;++i) {
    gdjs.Plus_32difficileCode.GDWaitObjects1[i].setString("Patience...");
}
}}

}


{


gdjs.Plus_32difficileCode.condition0IsTrue_0.val = false;
{
gdjs.Plus_32difficileCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)) < 40;
}if (gdjs.Plus_32difficileCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Jeu");
}{runtimeScene.getGame().getVariables().getFromIndex(0).add(1);
}}

}

return;
}
gdjs['Plus_32difficileCode']= gdjs.Plus_32difficileCode;
